###	MAKING DATAFILE ----------------------------------------------------------------------

##	datafile: mortality
#		mortality$sample	Sample number
#		mortality$week		Week batch number
#		mortality$tube		Tube number
#		mortality$morph		Morph of vocal individual
#			T				Trytonymph
#			X				Female
#			F				Fighters
#			S				Scramblers
#		mortality$fighter	Fighter presence
#			0				Fighter absent
#			1				fighter present
#		mortality$survival	Survival of vocal individual
#			0				Dead
#			1				Alive
library(lme4)
library(brglm)

detach(input)
input<-read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Data\\experimenten\\2015 Jasper Rianne experiments\\Jasper experiments\\mortality\\mortality.txt",header=T)
attach(input)
# cannot include interaction term as dataset not orthogonal
y <- survival
model1<-glmer(y ~ as.factor(fighter)+morph+(1|week),family=binomial)
summary(model1)

tapply(y,fighter,mean)
temp <- tapply(y,fighter,sd); temp/table(fighter)

levels(morph)
morph2 <- relevel(morph, ref = "S")
model2<-glmer(y ~ as.factor(fighter)+morph2+(1|week),family=binomial)
summary(model2)
morph3 <- relevel(morph, ref = "T")
model3<-glmer(y ~ as.factor(fighter)+morph3+(1|week),family=binomial)
summary(model3)

model4 <- brglm(y ~ as.factor(fighter)*morph, family = binomial)
summary(model4)
model4a <- brglm(y ~ as.factor(fighter)+morph, family = binomial)
summary(model4a)
levels(morph)
morph2 <- relevel(morph, ref = "S")
model5 <- brglm(y ~ as.factor(fighter)+morph2, family = binomial)
summary(model5)
morph3 <- relevel(morph, ref = "T")
model6 <- brglm(y ~ as.factor(fighter)+morph3, family = binomial)
summary(model6)
# DIFFERENT KIND OF ANALYSIS BY GROUPING ALL RESULTS PER WEEK: SAME RESULT AND CANNOT TEST FOR INTERACTION 
detach(input)
input<-read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Data\\experimenten\\2015 Jasper Rianne experiments\\Jasper experiments\\mortality\\mortalitygrouped.txt",header=T)
attach(input)
names(input)
y <- cbind(dead,alive)
model1 <- glm( y ~ fighter*stage, binomial)
summary(model1)
model2 <- update(model1, ~.-fighter:stage)
anova(model1,model2,test="Chi");
summary(model2)

##	CONCLUSION
#	model with interactions give warnings and does seem to overfit the data due to to less diversity in the output
#	model with and without interaction do not differ significantly, so model without interactions is prefered
#	presence of fighter has a significant effect on mortality so this indicates cannibalism
#	mortality of tritonymphs  differS significant from females and almost from scramblers 

### TEST FOR SEPERATE MORPHS -------------------------------------------------------------------
detach(input)
tritomortality<-subset(input,morph=="T")
attach(tritomortality)
y <- survival
tritomodel<-glmer(y ~ as.factor(fighter)+(1|week),family=binomial)
summary(tritomodel)
detach(tritomortality)

## OUTPUT
# Random effects:
# Groups              Name        Variance Std.Dev.
# tritomortality$week (Intercept) 2.06e-15 4.539e-08
# Number of obs: 62, groups:  tritomortality$week, 6

# Fixed effects:
#                         Estimate Std. Error z value Pr(>|z|)
# (Intercept)                3.332      1.018   3.274  0.00106 **
# tritomortality$fighter1   -2.639      1.083  -2.438  0.01478 *

## CONCLUSION
# only tritonymphs seem to have higher mortality with fighter, so cannibalism seems only to be present by scramblers.