input<-read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Data\\experimenten\\2015 Jasper Rianne experiments\\Rianne population experiment\\CountData.txt",header=T)
attach(input)
names(input)

library(lme4)

model1 <- lmer(noFM~treatment + (tube|day))
plot(residuals(model1)); 
qqnorm(residuals(model1))
summary(model1)
treatment2 <- relevel(treatment,ref="FMr")
model1 <- lmer(noFM~treatment2+(tube|day))
summary(model1)

model2 <- lmer(noSM~treatment+(tube|day))
plot(residuals(model2)); 
qqnorm(residuals(model2))
summary(model2)
model2 <- lmer(noSM~treatment2+ (tube|day))
summary(model2)

fighterexpression <- cbind(noFM,noSM)
model3 <- glmer(fighterexpression~treatment+(tube|day), family=binomial, control=glmerControl(optCtrl=list(maxfun=20000)) ) 
summary(model3)
model3 <- glmer(fighterexpression~treatment2+ (tube|day), family=binomial) 
summary(model3)

model4 <- lmer(noF~treatment+ (tube|day))
plot(residuals(model4)); 
qqnorm(residuals(model4))
summary(model4)
model4 <- lmer(noF~treatment2+ (tube|day))
summary(model4)

model5 <- lmer(noeggs~treatment + (tube|day))
plot(residuals(model5)); 
qqnorm(residuals(model5))
summary(model5)
model5 <- lmer(noeggs~treatment2 + (tube|day))
summary(model5)

model6 <- lmer(juveniles~treatment + (tube|day))
plot(residuals(model6)); 
qqnorm(residuals(model6))
summary(model6)
model6 <- lmer(juveniles~treatment2 + (tube|day))
summary(model6)

# reproductive output
model7 <- lmer(noeggs~treatment + offset(noF) + (tube|day))
plot(residuals(model7)); 
qqnorm(residuals(model7))
summary(model7)
treatment2 <- relevel(treatment,ref="FMr")
model7 <- lmer(noeggs~treatment2 + offset(noF) + (tube|day))
summary(model7)

nomales <- noSM+noFM
model8 <- lmer(noF~treatment + offset(nomales) + (tube|day)) 
plot(residuals(model8)); 
qqnorm(residuals(model8))
summary(model8)
                                
model8 <- lmer(noF~treatment2 + offset(nomales) + (tube|day)) 
summary(model8)

model9 <- lmer(totalno~treatment+ (tube|day))
plot(residuals(model9)); 
qqnorm(residuals(model9))
summary(model9)
treatment2 <- relevel(treatment,ref="FMr")
model9 <- lmer(totalno~treatment2+ (tube|day))
summary(model9)

# OLD ANALYSES  OLD ANALYSES OLD ANALYSES OLD ANALYSES OLD ANALYSES
# OLD ANALYSES  OLD ANALYSES OLD ANALYSES OLD ANALYSES OLD ANALYSES
# OLD ANALYSES  OLD ANALYSES OLD ANALYSES OLD ANALYSES OLD ANALYSES

library(boot)

mean.fun <- function(d, i) { m <- mean(d[i]) }

# CALCULATE 95% CIs FOR WHOLE EXPERIMENTAL PERIOD (>DAY 100)
# CALCULATE 95% CIs FOR WHOLE EXPERIMENTAL PERIOD (>DAY 100)

# calculate 95% CIs per treatment over whole experimental period after transient phase
# do bootstrap resampling stratified by culture tube within each treatment group
inputC <- subset(input,(tube==1 | tube==5 | tube==8 | tube==12))                                  
inputSM <- subset(input,(tube==3 | tube==7 | tube==11 | tube==13))                                  
inputFM <- subset(input,(tube==2 | tube==6 | tube==9 | tube==10))                                  

#  FEMALES FEMALES FEMALES FEMALES FEMALES
# control tubes
bootstrap <- boot(inputC$noF, mean.fun, R=1000, strata=inputC$tube)
print("control")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$noF)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$noF, mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$noF)
# fighter harvesting tubes
bootstrap <- boot(inputFM$noF, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$noF)

# SCRAMBLERS SCRAMBLERS SCRAMBLERS SCRAMBLERS SCRAMBLERS SCRAMBLERS 
# control tubes
bootstrap <- boot(inputC$noSM, mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$noSM)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$noSM, mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$noSM)
# fighter harvesting tubes
bootstrap <- boot(inputFM$noSM, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$noSM)

# FIGHTERS FIGHTERS FIGHTERS FIGHTERS FIGHTERS FIGHTERS FIGHTERS FIGHTERS  
# control tubes                    
bootstrap <- boot(inputC$noFM, mean.fun, R=1000, strata=inputC$tube)
print("control tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$noFM)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$noFM, mean.fun, R=1000, strata=inputSM$tube)
print("fighter harvesting tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$noFM)
# fighter harvesting tubes
bootstrap <- boot(inputFM$noFM, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$noFM)

# PROP FIGHTERS PROP FIGHTERS PROP FIGHTERS PROP FIGHTERS PROP FIGHTERS PROP FIGHTERS   
# control tubes
bootstrap <- boot(inputC$noFM/(inputC$noSM+inputC$noFM), mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$noFM/(inputC$noSM+inputC$noFM))
# scrambler harvesting tubes
bootstrap <- boot(inputSM$noFM/(inputSM$noSM+inputSM$noFM), mean.fun, R=1000, strata=inputSM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$noFM/(inputSM$noSM+inputSM$noFM))
# fighter harvesting tubes
bootstrap <- boot(inputFM$noFM/(inputFM$noSM+inputFM$noFM), mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$noFM/(inputFM$noSM+inputFM$noFM))

# SEX RATIO SEX RATIO SEX RATIO SEX RATIO SEX RATIO SEX RATIO: PROP FEMALES PROP FEMALES  
# control tubes
bootstrap <- boot(inputC$noF/(inputC$noF+inputC$noSM+inputC$noFM), mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$noF/(inputC$noF+inputC$noSM+inputC$noFM))
# scrambler harvesting tubes
bootstrap <- boot(inputSM$noF/(inputSM$noF+inputSM$noSM+inputSM$noFM), mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$noF/(inputSM$noF+inputSM$noSM+inputSM$noFM))
# fighter harvesting tubes
bootstrap <- boot(inputFM$noF/(inputFM$noF+inputFM$noSM+inputFM$noFM), mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$noF/(inputFM$noF+inputFM$noSM+inputFM$noFM))


# EGGS EGGS EGGS EGGS EGGS EGGS EGGS EGGS EGGS EGGS EGGS EGGS EGGS      
# control tubes
bootstrap <- boot(inputC$noeggs, mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$noeggs)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$noeggs, mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$noeggs)
# fighter harvesting tubes
bootstrap <- boot(inputFM$noeggs, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$noeggs)

# TOTAL NUMBER TOTAL NUMBER TOTAL NUMBER TOTAL NUMBER TOTAL NUMBER TOTAL NUMBER 
# control tubes
bootstrap <- boot(inputC$totalno, mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$totalno)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$totalno, mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$totalno)
# fighter harvesting tubes
bootstrap <- boot(inputFM$totalno, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$totalno)

# TOTAL ADULT NUMBER TOTAL ADULT NUMBER TOTAL ADULT NUMBER TOTAL ADULT NUMBER 
# control tubes
bootstrap <- boot(inputC$adults, mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$adults, na.rm = TRUE)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$adults, mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$adults, na.rm = TRUE)
# fighter harvesting tubes
bootstrap <- boot(inputFM$adults, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$adults, na.rm = TRUE)

# TOTAL JUVENILE NUMBER TOTAL JUVENILE NUMBER TOTAL JUVENILE NUMBER TOTAL JUVENILE NUMBER 
# control tubes
bootstrap <- boot(inputC$juveniles, mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$juveniles, na.rm = TRUE)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$juveniles, mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$juveniles, na.rm = TRUE)
# fighter harvesting tubes
bootstrap <- boot(inputFM$juveniles, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$juveniles, na.rm = TRUE)

# JUVENILE: ADULT RATIO JUVENILE: ADULT RATIO  JUVENILE: ADULT RATIO JUVENILE: ADULT RATIO 
# control tubes
bootstrap <- boot(inputC$juveniles/inputC$adults, mean.fun, R=1000, strata=inputC$tube)
print("control tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$juveniles/inputC$adults, na.rm = TRUE)
# scrambler harvesting tubes
bootstrap <- boot(inputSM$juveniles/inputSM$adults, mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$juveniles/inputSM$adults, na.rm = TRUE)
# fighter harvesting tubes
bootstrap <- boot(inputFM$juveniles/inputFM$adults, mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$juveniles/inputFM$adults, na.rm = TRUE)

# NUMBER OF MALES NUMBER OF MALES NUMBER OF MALES NUMBER OF MALES NUMBER OF MALES NUMBER OF MALES 
# control tubes
bootstrap <- boot((inputC$noFM+inputC$noSM), mean.fun, R=1000, strata=inputC$tube)
print("control tubes")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputC$noFM+inputC$noSM)
# scrambler harvesting tubes
bootstrap <- boot((inputSM$noFM+inputSM$noSM), mean.fun, R=1000, strata=inputSM$tube)
print("scrambler harvesting tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputSM$noFM+inputSM$noSM)
# fighter harvesting tubes
bootstrap <- boot((inputFM$noFM+inputFM$noSM), mean.fun, R=1000, strata=inputFM$tube)
print("fighter harvesting tubes; day 100-365")
boot.ci(bootstrap, type = "bca") # Bias Corrected and Adjusted percentiles following Cameron & Benton 2004 and Benton et al. 2004
mean(inputFM$noFM+inputFM$noSM)

#################### END OF CODE ###########################



mean.fun <- function(d, i)
{    m <- mean(d[i])
     n <- length(i)
     v <- (n-1)*var(d[i])/n^2
     c(m, v)
     # return(v)
}